Summary: The GNU shar utilities for packaging and unpackaging shell archives.
Name: sharutils
Version: 4.7
Release: 1
License: GPL
Group: Applications/Archiving
Source0: ftp://ftp.gnu.org/gnu/sharutils/REL-%{version}/%{name}-%{version}.tar.bz2
URL: http://www.gnu.org/software/sharutils/
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: gettext >= 0.17
Requires: /sbin/install-info, info, gettext >= 0.17

%description
The sharutils package contains the GNU shar utilities, a set of tools
for encoding and decoding packages of files (in binary or text format)
in a special plain text format called shell archives (shar).  This
format can be sent through e-mail (which can be problematic for regular
binary files).  The shar utility supports a wide range of capabilities
(compressing, uuencoding, splitting long files for multi-part
mailings, providing checksums), which make it very flexible at
creating shar files.  After the files have been sent, the unshar tool
scans mail messages looking for shar files.  Unshar automatically
strips off mail headers and introductory text and then unpacks the
shar files.

Install sharutils if you send binary files through e-mail.


%prep
%setup -q


%build
./configure \
    --prefix=%{_prefix} \
    --infodir=%{_infodir} \
    --mandir=%{_mandir}
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

gzip --best ${RPM_BUILD_ROOT}%{_infodir}/*.info
rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir

(
  cd ${RPM_BUILD_ROOT}
  mkdir -p usr/bin
  cd usr/bin
  ln -sf ../..%{_bindir}/* .
  rm -f uu*
  cd -
  mkdir -p usr/linux/bin
  cd usr/linux/bin
  ln -sf ../../..%{_bindir}/uu* .
)


%post
/sbin/install-info %{_infodir}/sharutils.info.gz %{_infodir}/dir ||:


%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/sharutils.info.gz %{_infodir}/dir ||:
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS TODO
%{_bindir}/*
%{_infodir}/*info*
%{_mandir}/man?/*
%{_datadir}/locale/*
/usr/bin/*
/usr/linux/bin/*


%changelog
* Thu Jun 26 2008 Michael Perzl <michael@perzl.org> - 4.7-1
- first version for AIX V5.1 and higher
